CREATE TABLE grupo(
id_grupo SERIAL PRIMARY KEY,
nombre VARCHAR(50)
);

CREATE TABLE alumno
(
  id_alumno SERIAL,
  nombre VARCHAR(50) NULL,
  escuela VARCHAR(50) NULL,
  id_grupo INTEGER NOT NULL,
  CONSTRAINT alumno_pkey PRIMARY KEY (id_alumno,id_grupo),
  CONSTRAINT alumno_id_grupo_fkey FOREIGN KEY (id_grupo)
      REFERENCES grupo (id_grupo) MATCH SIMPLE
      ON UPDATE CASCADE ON DELETE CASCADE
);

INSERT INTO grupo(nombre) VALUES('A101');
INSERT INTO grupo(nombre) VALUES('A102');
INSERT INTO grupo(nombre) VALUES('A103');
INSERT INTO grupo(nombre) VALUES('A104');
INSERT INTO grupo(nombre) VALUES('A105');

INSERT INTO alumno(nombre,escuela,id_grupo) VALUES('Armando Palacios','escuela1',1);
INSERT INTO alumno(nombre,escuela,id_grupo) VALUES('Juan Perez','escuela1',1);
INSERT INTO alumno(nombre,escuela,id_grupo) VALUES('Maria Lopez','escuela1',1);
INSERT INTO alumno(nombre,escuela,id_grupo) VALUES('Maria Ana','escuela1',2);
INSERT INTO alumno(nombre,escuela,id_grupo) VALUES('Mario Trejo','escuela1',3);
