package modelos;

import java.util.List;
import java.util.Iterator;

import javax.naming.InitialContext;
import javax.transaction.UserTransaction;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.hibernate.Session;
import controlador.Controlador;

import modelos.util.HibernateUtil;

public class Main {
	/** Logger. */
	private static Log log = LogFactory.getLog(Controlador.class);
	
	public static void main(String[] args) {
		Main obj = new Main();
		try {
			obj.listGrupo();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public void listGrupo()
	throws Exception {
		UserTransaction transaction = null;
		try {
		transaction = (UserTransaction) new InitialContext()
		.lookup("java:comp/UserTransaction");
		transaction.setTransactionTimeout(60); 
		transaction.begin();
		Session session = HibernateUtil.getSession();
		List<?> grupos = session.createQuery("from Grupo").list();
		for (Iterator<?> iterator = grupos.iterator(); iterator.hasNext();)
		{
			Grupo grupo = (Grupo) iterator.next();
			log.info("JTAAAAAAAAAA" + grupo.getNombre());
		}
		session.close(); 
		transaction.commit();
		} catch (Exception e) {
			transaction.rollback();
			throw e;
		} 
	}
	

}


